Subject: Re: [RFC PATCH 02/19] powerpc: gamecube: device tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 26 Nov 2009 15:23:12 +1100

On Mon, 2009-11-23 at 13:19 -0700, Grant Likely wrote:
> so the node really is
> describing the internal bus, not the entire SoC.  On some chips it is
> documented as the "internally memory mapped registers", or IMMR.  So,
> it is better to name this node in a way that reflects what it is (an
> internal bus) instead of as the whole chip.

It's not even the internal bus. Flipper and Hollywood are separate chips
from the PPC afaik. They are integrated northbridge + gfx + IOs
basically.

> Similarly, it is better to use a compatible value of something like:
> compatible = "nintendo,flipper-immr"; (instead of "nintendo,flipper")
> because your describing just the internal bus, not the entire chip. 

I would just call the nodes "flipper" and "hollywood".

Cheers,
Ben.